# QVM: Quaternions, Vectors, Matrices

### operator-(vec,vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value && is_vec<B>::value &&
            //  vec_traits<A>::dim==vec_traits<B>::dim
            template <class A,class B>
            typename deduce_vec2<A,B,vec_traits<A>::dim>::type
            operator-( A const & a, B const & b );
        }
    }

#### Returns:

A vector of the same size as a and b, with elements the elements of b subtracted from the corresponding elements of a.

See also: boost/qvm/vec_operations.hpp